openSUSE: 2022:10075-1 important: python-jupyterlab | LinuxSecurity...

   openSUSE Security Update: Security update for python-jupyterlab
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:10075-1
Rating:             important
References:         #1196663 
Cross-References:   CVE-2021-32797
CVSS scores:
                    CVE-2021-32797 (NVD) : 9.6 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:H

Affected Products:
                    openSUSE Backports SLE-15-SP4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python-jupyterlab fixes the following issues:

   Update to 2.2.10:

   * Remove `form` tags' `action` attribute during sanitizing, to prevent an
     XSS (CVE-2021-32797) (boo#1196663)
   * Header ???Content-Type??? should not be overwritten
   * Do not use token parameters in websocket urls
   * Properly handle errors in async browser_check
   * Cells can no longer be executed while kernels are terminating or
     restarting. There is a new status for these events on the Kernel
     Indicator
   * Add styling for high memory usage warning in status bar with nbresuse
   * Adds support for Python version 3.10
   * Support live editing of SVG with updating rendering
   * Lazy load codemirror theme stylesheets
   * Add feature request template + slight reorg in readme
   * Add link to react example in extension-examples repo
   * Close correct tab with close tab
   * Remove unused css rules
   * Simplified multicursor backspace code
   * Fix recent breaking changes to normalizepath in filebrowser
   * Handle quit_button when launched as an extension
   * Add worker-loader
   * Fix icon sidebar height for third party extensions
   * Scrolls cells into view after deletion
   * Support Node.js 10+
   * Select search text when focusing the search overlay
   * Throttle fetch requests in the setting registry???s data connector
   * Avoid redundant checkpoint calls on loading a notebook


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Backports SLE-15-SP4:

      zypper in -t patch openSUSE-2022-10075=1



Package List:

   - openSUSE Backports SLE-15-SP4 (noarch):

      jupyter-jupyterlab-2.2.10-bp154.2.3.1
      python3-jupyterlab-2.2.10-bp154.2.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-32797.html
   https://bugzilla.suse.com/1196663

openSUSE: 2022:10075-1 important: python-jupyterlab

August 2, 2022
An update that fixes one vulnerability is now available

Description

This update for python-jupyterlab fixes the following issues: Update to 2.2.10: * Remove `form` tags' `action` attribute during sanitizing, to prevent an XSS (CVE-2021-32797) (boo#1196663) * Header ???Content-Type??? should not be overwritten * Do not use token parameters in websocket urls * Properly handle errors in async browser_check * Cells can no longer be executed while kernels are terminating or restarting. There is a new status for these events on the Kernel Indicator * Add styling for high memory usage warning in status bar with nbresuse * Adds support for Python version 3.10 * Support live editing of SVG with updating rendering * Lazy load codemirror theme stylesheets * Add feature request template + slight reorg in readme * Add link to react example in extension-examples repo * Close correct tab with close tab * Remove unused css rules * Simplified multicursor backspace code * Fix recent breaking changes to normalizepath in filebrowser * Handle quit_button when launched as an extension * Add worker-loader * Fix icon sidebar height for third party extensions * Scrolls cells into view after deletion * Support Node.js 10+ * Select search text when focusing the search overlay * Throttle fetch requests in the setting registry???s data connector * Avoid redundant checkpoint calls on loading a notebook

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Backports SLE-15-SP4: zypper in -t patch openSUSE-2022-10075=1


Package List

- openSUSE Backports SLE-15-SP4 (noarch): jupyter-jupyterlab-2.2.10-bp154.2.3.1 python3-jupyterlab-2.2.10-bp154.2.3.1


References

https://www.suse.com/security/cve/CVE-2021-32797.html https://bugzilla.suse.com/1196663


Severity
Announcement ID: openSUSE-SU-2022:10075-1
Rating: important
Affected Products: openSUSE Backports SLE-15-SP4 . Affected Products: openSUSE Backports SLE-15-SP4 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.